Bug 137559 - [NEW PORT] graphics/mupdf: Lightweight PDF viewer and toolkit
[NEW PORT] graphics/mupdf: Lightweight PDF viewer and toolkit
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-08 08:50 UTC by martin.dieringer
Modified: 2009-11-11 16:40 UTC (History)
0 users

See Also:


Attachments
mupdf-20090707.shar (4.00 KB, text/plain)
2009-08-08 08:50 UTC, martin.dieringer
no flags Details
diff (4.21 KB, patch)
2009-09-05 04:15 UTC, martin.dieringer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description martin.dieringer 2009-08-08 08:50:00 UTC
MuPDF is a lightweight PDF viewer and toolkit written in portable C.

The renderer in MuPDF is tailored for high quality anti-aliased graphics. It
renders text with metrics and spacing accurate to within fractions of a
pixel for the highest fidelity in reproducing the look of a printed page on
screen.

MuPDF has a small footprint. A binary that includes the standard Roman fonts
is only one megabyte. A build with full CJK support (including an Asian
font) is approximately five megabytes.

MuPDF has support for all non-interactive PDF 1.7 features, and the toolkit
provides a simple API for accessing the internal structures of the PDF
document. Example code for navigating interactive links and bookmarks,
encrypting PDF files, extracting fonts, images, and searchable text, and
rendering pages to image files is provided.

WWW: http://ccxvii.net/mupdf/

Generated with FreeBSD Port Tools 0.77
Comment 1 bf1783 2009-08-08 11:00:28 UTC
Oh, wow: I was just going to do this one.  :)  Two nits:

1) Please don't hardcode /usr/local in the makefiles.  Instead use
${LOCALBASE}.  We've been trying to remove errors like this lately.
2) Could you please rename the NOCJK OPTION to CJK, as with other
ports, and reverse the logic accordingly?  The extra negative in
WITH(OUT)_NOCJK is more confusing than WITH(OUT)_CJK.

Thanks.
Comment 2 bf1783 2009-08-08 11:05:44 UTC
Oh, and also -lpthread should be ${PTHREAD_LIBS}.
Comment 3 martin.dieringer 2009-08-08 11:37:46 UTC
alright:


--- mupdf-20090707.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	mupdf
#	mupdf/pkg-plist
#	mupdf/Makefile
#	mupdf/distinfo
#	mupdf/pkg-descr
#	mupdf/files
#	mupdf/files/patch-Jamrules
#
echo c - mupdf
mkdir -p mupdf > /dev/null 2>&1
echo x - mupdf/pkg-plist
sed 's/^X//' >mupdf/pkg-plist << 'b164d0d4887f54dbb5aa2bd8263090bf'
Xbin/mupdf
Xbin/mu_pdfshow
Xbin/mu_pdfdraw
Xbin/mu_pdfinfo
Xbin/mu_cmapdump
Xbin/mu_pdfextract
Xbin/mu_pdfclean
Xbin/mu_fontdump
b164d0d4887f54dbb5aa2bd8263090bf
echo x - mupdf/Makefile
sed 's/^X//' >mupdf/Makefile << 'c4173782f4e1b50ad82268bcd4604e88'
X# New ports collection makefile for:	mupdf
X# Date created:		2009-08-07
X# Whom:			Martin Dieringer <martin.dieringer@gmx.de>
X#
X# $FreeBSD$
X
XPORTNAME=	mupdf
XPORTVERSION=	20090707
XCATEGORIES=	graphics
XMASTER_SITES=	http://ccxvii.net/mupdf/download/
XDISTNAME=	${PORTNAME}-2009-07-07-source
X
XMAINTAINER=	martin.dieringer@gmx.de
XCOMMENT=	Lightweight PDF viewer and toolkit
X
XBUILD_DEPENDS=	jam:${PORTSDIR}/devel/jam
XLIB_DEPENDS=	freetype.9:${PORTSDIR}/print/freetype2 \
X		jpeg.10:${PORTSDIR}/graphics/jpeg
X
XUSE_GZIP=	yes
X
XJAM_ARGS=	-q -sLOCALBASE=${LOCALBASE} -sPTHREAD_LIBS=${PTHREAD_LIBS}
XOPTIONS=	CJK "Enable Asian Fontset" On
X
X.include <bsd.port.options.mk>
X
X.if defined(WITHOUT_CJK)
XJAM_ARGS+=	-sDEFINES=NOCJK
X.endif
X
Xdo-build:
X		cd ${WRKSRC} &&	jam ${JAM_ARGS}
X
XEXECUTABLES=	cmapdump    pdfdraw     pdfinfo \
X		fontdump    pdfclean    pdfextract  pdfshow
Xdo-install:
X	${INSTALL} ${WRKSRC}/build/mupdf ${PREFIX}/bin/mupdf
X.for f in ${EXECUTABLES}
X	${INSTALL} ${WRKSRC}/build/$f ${PREFIX}/bin/mu_$f ;
X.endfor
X
X.include <bsd.port.mk>
c4173782f4e1b50ad82268bcd4604e88
echo x - mupdf/distinfo
sed 's/^X//' >mupdf/distinfo << 'fc9c145d7d17feeed1c84c82b8cdb382'
XMD5 (mupdf-2009-07-07-source.tar.gz) = 3b499c4f34909093bab308497f62eb5c
XSHA256 (mupdf-2009-07-07-source.tar.gz) = d3c252b4a1f98270235844e9d4507b3533f17981099a5c82531551634a34e4fe
XSIZE (mupdf-2009-07-07-source.tar.gz) = 3297517
fc9c145d7d17feeed1c84c82b8cdb382
echo x - mupdf/pkg-descr
sed 's/^X//' >mupdf/pkg-descr << '01cb0fa19adb66874f3f0b28085608ce'
XMuPDF is a lightweight PDF viewer and toolkit written in portable C. 
X
XThe renderer in MuPDF is tailored for high quality anti-aliased graphics. It
Xrenders text with metrics and spacing accurate to within fractions of a
Xpixel for the highest fidelity in reproducing the look of a printed page on
Xscreen. 
X
XMuPDF has a small footprint. A binary that includes the standard Roman fonts
Xis only one megabyte. A build with full CJK support (including an Asian
Xfont) is approximately five megabytes. 
X
XMuPDF has support for all non-interactive PDF 1.7 features, and the toolkit
Xprovides a simple API for accessing the internal structures of the PDF
Xdocument. Example code for navigating interactive links and bookmarks,
Xencrypting PDF files, extracting fonts, images, and searchable text, and
Xrendering pages to image files is provided.
X
XWWW: http://ccxvii.net/mupdf/
01cb0fa19adb66874f3f0b28085608ce
echo c - mupdf/files
mkdir -p mupdf/files > /dev/null 2>&1
echo x - mupdf/files/patch-Jamrules
sed 's/^X//' >mupdf/files/patch-Jamrules << 'ae63973197ef5582aa3b61bcb00226c7'
X--- Jamrules.orig	2009-07-07 20:08:22.000000000 +0200
X+++ Jamrules	2009-08-08 12:32:45.000000000 +0200
X@@ -47,16 +47,16 @@
X if $(HAVE_JASPER)   { DEFINES += HAVE_JASPER ; }
X if $(HAVE_OPENJPEG) { DEFINES += HAVE_OPENJPEG ; }
X 
X-if $(OS) = LINUX
X+if $(OS) = FREEBSD
X {
X-    Echo Building for LINUX ;
X+    Echo Building for FREEBSD ;
X 
X     BUILD_X11APP = true ;
X 
X-    CCFLAGS = -Wall -std=gnu99 -I/usr/include/freetype2 ;
X-    LINKFLAGS = -L/usr/X11R6/lib ;
X+    CCFLAGS = -Wall -std=gnu99 -I$(LOCALBASE)/include/freetype2 -I$(LOCALBASE)/include/ ;
X+    LINKFLAGS = -L$(LOCALBASE)/lib ;
X     LINKLIBS = -lfreetype -ljpeg -lz -lm ;
X-    APPLINKLIBS = -lX11 -lXext -lpthread ;
X+    APPLINKLIBS = -lX11 -lXext $(PTHREAD_LIBS) ;
X 
X     if $(BUILD) = debug   { OPTIM = -g -O0 -fno-inline ; }
X     if $(BUILD) = release { OPTIM = -O3 ; }
ae63973197ef5582aa3b61bcb00226c7
exit
--- mupdf-20090707.shar ends here ---
Comment 4 bf1783 2009-08-08 13:30:55 UTC
On 8/8/09, Martin Dieringer <martin.dieringer@gmx.de> wrote:
>
> alright:
>

Thanks, I'll give it a try later.  What is the USE_GZIP variable?  I
don't think that's used in Ports now, if it ever was.

b.
Comment 5 martin.dieringer 2009-08-08 14:58:24 UTC
> What is the USE_GZIP variable?

can be deleted
Comment 6 Dmitry Marakasov freebsd_committer 2009-08-13 18:10:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 7 martin.dieringer 2009-09-05 04:15:29 UTC
You need a new patch for that line? Here it is.
Comment 8 dfilter freebsd_committer 2009-11-11 16:38:57 UTC
amdmi3      2009-11-11 16:38:48 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/mupdf       Makefile distinfo pkg-descr pkg-plist 
    graphics/mupdf/files patch-Jamrules 
  Log:
  MuPDF is a lightweight PDF viewer and toolkit written in portable C.
  
  The renderer in MuPDF is tailored for high quality anti-aliased graphics. It
  renders text with metrics and spacing accurate to within fractions of a
  pixel for the highest fidelity in reproducing the look of a printed page on
  screen.
  
  MuPDF has a small footprint. A binary that includes the standard Roman fonts
  is only one megabyte. A build with full CJK support (including an Asian
  font) is approximately five megabytes.
  
  MuPDF has support for all non-interactive PDF 1.7 features, and the toolkit
  provides a simple API for accessing the internal structures of the PDF
  document. Example code for navigating interactive links and bookmarks,
  encrypting PDF files, extracting fonts, images, and searchable text, and
  rendering pages to image files is provided.
  
  WWW: http://ccxvii.net/mupdf/
  
  PR:             137559
  Submitted by:   Martin Dieringer <martin.dieringer@gmx.de>
  
  Revision  Changes    Path
  1.1290    +1 -0      ports/graphics/Makefile
  1.1       +45 -0     ports/graphics/mupdf/Makefile (new)
  1.1       +3 -0      ports/graphics/mupdf/distinfo (new)
  1.1       +24 -0     ports/graphics/mupdf/files/patch-Jamrules (new)
  1.1       +18 -0     ports/graphics/mupdf/pkg-descr (new)
  1.1       +8 -0      ports/graphics/mupdf/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Dmitry Marakasov freebsd_committer 2009-11-11 16:39:05 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!